import { HttpClientHook, HttpClientHookBeforeData, HttpClientHookOptions } from '@oinone/kunlun-request';
export declare class SharedHttpClientHook implements HttpClientHook {
    isSupported(options: HttpClientHookOptions): boolean;
    before(data: HttpClientHookBeforeData): void;
}
